
QGIS Application - Bug report #16093

QGIS 2.14 - Cannot change order of legend items when "Filter legend by map content" is selected

2017-01-17 10:25 AM - Chris Paul

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24007

Description

When "Filter legend by map content" is selected, the order of items within any layer which is getting filtered cannot be changed (ie. cannot

move items up or down in the legend)

History

#1 - 2017-01-18 05:07 AM - Giovanni Manghi

- Category set to Map Composer/Printing

- Affected QGIS version changed from 2.14.0 to master

True also on the latest master.

#2 - 2017-01-22 09:06 AM - Chris Paul

Note: Also cannot delete items from within a layer that is being filtered

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#5 - 2019-03-11 04:01 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Not the case anymore in QGIS 3.
